Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. Settlement
  • About the AutoCollect API
  • Getting started with the AutoCollect API
  • Webhooks
  • Example Workflow
  • Batches
    • GetBatchById
      GET
    • GetBatchesByOrganization
      GET
    • GetBatchById - Legacy (To be removed)
      GET
  • Collections
    • AcceptDebtCollectionList
      POST
    • RejectDebtCollectionList
      POST
    • PauseCase
      POST
    • WithdrawCase
      POST
    • ResumeCase
      POST
    • AcceptEvictionRequest
      POST
    • RejectEvictionRequest
      POST
    • AcceptEvictionConfirmation
      POST
    • RejectEvictionConfirmation
      POST
  • Correction
    • CreateCorrections
      POST
  • Invoice
    • CreateInvoices
      POST
    • GetInvoicesByOrganization
      GET
    • GetInvoiceById
      GET
  • Payment
    • CreatePayments
      POST
  • Settlement
    • GetSettlements
      GET
    • GetSettlement on Id
      GET
  • AutoCollect Legacy API
    • Attachment
      • /webapi/api/Attachment
    • Batch
      • /webapi/api/Batch
      • /webapi/api/Batch
    • Ping
      • /webapi/api/Ping
  1. Settlement

GetSettlement on Id

GET
/orgs/{organizationId}/settlements/{settlementId}
Endpoints for organization management operations

Request

Authorization
Path Params

Responses

🟢200OK
application/json
OK
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/orgs//settlements/'
Response Response Example
{
    "summary": {
        "status": "string",
        "nextPageToken": "string"
    },
    "data": {
        "caseNumber": "string",
        "collectionType": "REMINDER",
        "currency": "string",
        "customerReference": "string",
        "exchangeRate": 0,
        "feeDistribution": {
            "collector": 0,
            "creditor": 0
        },
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "interestDistribution": {
            "collector": 0,
            "creditor": 0
        },
        "invoice": {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "invoiceNumber": "string",
            "uniqueSourceInvoiceId": "string",
            "collectionCaseNumber": "string",
            "type": "REMINDER",
            "status": "OPEN",
            "closureDate": "2019-08-24T14:15:22.123Z"
        },
        "ledgerRef": "string",
        "uniqueSourceInvoiceId": "string",
        "organization": {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "organizationNumber": "string",
            "name": "string"
        },
        "paymentAmount": 0,
        "principalDistribution": {
            "collector": 0,
            "creditor": 0
        },
        "remittanceDate": "2019-08-24T14:15:22.123Z",
        "settlementDate": "2019-08-24T14:15:22.123Z",
        "settlementNumber": 0,
        "settlementType": "COLLECTOR_PAYMENT",
        "vat": 0
    }
}
Modified at 2026-05-07 06:23:23
Previous
GetSettlements
Next
/webapi/api/Attachment
Built with